services:
  wishlist:
    build: .
    image: chadebebe-ptbr:latest
    container_name: chadebebe
    restart: unless-stopped
    environment:
      - ADMIN_TOKEN=${ADMIN_TOKEN:?ADMIN_TOKEN must be set}
      - PUID=${PUID:-1000}
      - PGID=${PGID:-1000}
      - COOKIE_SECURE=true
    volumes:
      - ./data:/app/data
    networks:
      - web
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.chadebebe.rule=Host(`chadomartin.omeu.website`)"
      - "traefik.http.routers.chadebebe.entrypoints=https"
      - "traefik.http.routers.chadebebe.tls=true"
      - "traefik.http.routers.chadebebe.tls.certresolver=letsencrypt"
      - "traefik.http.services.chadebebe.loadbalancer.server.port=3000"

networks:
  web:
    external: true
